Debian Bug report logs - #670878
cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh

version graph

Package: src:cups; Maintainer for src:cups is Debian Printing Team <debian-printing@lists.debian.org>;

Reported by: Julian Gilbey <jdg@debian.org>

Date: Sun, 29 Apr 2012 21:39:01 UTC

Severity: serious

Found in version cups/1.5.2-10

Fixed in version cups/1.5.2-11

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#670878; Package src:cups. (Sun, 29 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
New Bug report received and forwarded. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sun, 29 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Debian bug reports <submit@bugs.debian.org>
Subject: cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh
Date: Sun, 29 Apr 2012 22:34:13 +0100
Package: src:cups
Version: 1.5.2-10
Severity: serious
Justification: FTBFS on armel

Just in case you haven't seen the failure, cups 1.5.2-10 barfed out on
the armel build:
https://buildd.debian.org/status/fetch.php?pkg=cups&arch=armel&ver=1.5.2-10&stamp=1334046792

The failure point was during the tests:

Running command tests...
Performing 5.1-lpadmin.sh: PASS
Performing 5.2-lpc.sh: PASS
Performing 5.3-lpq.sh: PASS
Performing 5.4-lpstat.sh: FAIL
Performing 5.5-lp.sh: PASS
Performing 5.6-lpr.sh: PASS
Performing 5.7-lprm.sh: PASS
Performing 5.8-cancel.sh: PASS
Performing 5.9-lpinfo.sh: PASS
Test Summary

It's blocking cups-filters from building on armel as well....

Thanks!

   Julian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#670878; Package src:cups. (Sat, 12 May 2012 13:48:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 13:48:50 GMT) Full text and rfc822 format available.

Message #10 received at 670878@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Julian Gilbey <jdg@debian.org>, 670878@bugs.debian.org
Subject: Re: Bug#670878: cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh
Date: Sat, 12 May 2012 14:46:38 +0100
On Sun, Apr 29, 2012 at 10:34:13PM +0100, Julian Gilbey wrote:
>Package: src:cups
>Version: 1.5.2-10
>Severity: serious
>Justification: FTBFS on armel
>
>Just in case you haven't seen the failure, cups 1.5.2-10 barfed out on
>the armel build:
>https://buildd.debian.org/status/fetch.php?pkg=cups&arch=armel&ver=1.5.2-10&stamp=1334046792
>
>The failure point was during the tests:
>
>Running command tests...
>Performing 5.1-lpadmin.sh: PASS
>Performing 5.2-lpc.sh: PASS
>Performing 5.3-lpq.sh: PASS
>Performing 5.4-lpstat.sh: FAIL
>Performing 5.5-lp.sh: PASS
>Performing 5.6-lpr.sh: PASS
>Performing 5.7-lprm.sh: PASS
>Performing 5.8-cancel.sh: PASS
>Performing 5.9-lpinfo.sh: PASS
>Test Summary
>
>It's blocking cups-filters from building on armel as well....

Looking at this...

lpstat is returning what looks to be the right answer in its test
script, but *also* the fact that a job is currently running on
Printer1. That's confusing the test. So... either that job should not
be there and there is another bug (timing? should the job have been
removed earlier?) or the test is too strict here.

LPSTAT Test

    lpstat -H
    FAILED (localhost:8631
Test1-4                 93sam           280576   Sat 12 May 2012 12:24:25 PM UTC)

Looking some more...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Support the Campaign for Audiovisual Free Expression: http://www.eff.org/cafe/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#670878; Package src:cups. (Sat, 12 May 2012 15:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 15:03:17 GMT) Full text and rfc822 format available.

Message #15 received at 670878@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Julian Gilbey <jdg@debian.org>, 670878@bugs.debian.org
Subject: Re: Bug#670878: cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh
Date: Sat, 12 May 2012 15:57:22 +0100
On Sat, May 12, 2012 at 02:46:38PM +0100, Steve McIntyre wrote:
>On Sun, Apr 29, 2012 at 10:34:13PM +0100, Julian Gilbey wrote:
>>Package: src:cups
>>Version: 1.5.2-10
>>Severity: serious
>>Justification: FTBFS on armel
>>
>>Just in case you haven't seen the failure, cups 1.5.2-10 barfed out on
>>the armel build:
>>https://buildd.debian.org/status/fetch.php?pkg=cups&arch=armel&ver=1.5.2-10&stamp=1334046792
>>
>>The failure point was during the tests:
>>
>>Running command tests...
>>Performing 5.1-lpadmin.sh: PASS
>>Performing 5.2-lpc.sh: PASS
>>Performing 5.3-lpq.sh: PASS
>>Performing 5.4-lpstat.sh: FAIL
>>Performing 5.5-lp.sh: PASS
>>Performing 5.6-lpr.sh: PASS
>>Performing 5.7-lprm.sh: PASS
>>Performing 5.8-cancel.sh: PASS
>>Performing 5.9-lpinfo.sh: PASS
>>Test Summary
>>
>>It's blocking cups-filters from building on armel as well....
>
>Looking at this...
>
>lpstat is returning what looks to be the right answer in its test
>script, but *also* the fact that a job is currently running on
>Printer1. That's confusing the test. So... either that job should not
>be there and there is another bug (timing? should the job have been
>removed earlier?) or the test is too strict here.
>
>LPSTAT Test
>
>    lpstat -H
>    FAILED (localhost:8631
>Test1-4                 93sam           280576   Sat 12 May 2012 12:24:25 PM UTC)
>
>Looking some more...

And yes, I think it's a timing bug. Earlier in the test suite (4.3)
there are a set of ops including printing, cancelling etc. It looks
like the issue in 5.4 on armel is that the cupsd itself hasn't had
time to finish cancelling a job. Adding a trivial "sleep 10" at the
top of 5.4-lpstat.sh makes things work fine for me. There should be a
better way to do things, but I'm not an expert here.

I'm surprised that the calls to ipptool in 4.3 don't pick this up
directly themselves...

Pitti?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You lock the door
And throw away the key
There's someone in my head but it's not me 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#670878; Package src:cups. (Mon, 14 May 2012 08:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 08:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 670878@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Steve McIntyre <steve@einval.com>, 670878@bugs.debian.org
Cc: Julian Gilbey <jdg@debian.org>
Subject: Re: [Pkg-cups-devel] Bug#670878: cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh
Date: Mon, 14 May 2012 10:30:44 +0200
Hello Steve,

Steve McIntyre [2012-05-12 15:57 +0100]:
> And yes, I think it's a timing bug. Earlier in the test suite (4.3)
> there are a set of ops including printing, cancelling etc. It looks
> like the issue in 5.4 on armel is that the cupsd itself hasn't had
> time to finish cancelling a job. Adding a trivial "sleep 10" at the
> top of 5.4-lpstat.sh makes things work fine for me. There should be a
> better way to do things, but I'm not an expert here.

Many thanks for investigating this! Adding a "sleep 10" is at least
harmless, so I have no problem with adding this to unblock the armel
build. It's at least much better than disabling the tests on armel
entirely.

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Mon, 14 May 2012 09:21:39 GMT) Full text and rfc822 format available.

Notification sent to Julian Gilbey <jdg@debian.org>:
Bug acknowledged by developer. (Mon, 14 May 2012 09:21:42 GMT) Full text and rfc822 format available.

Message #25 received at 670878-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 670878-close@bugs.debian.org
Subject: Bug#670878: fixed in cups 1.5.2-11
Date: Mon, 14 May 2012 09:17:55 +0000
Source: cups
Source-Version: 1.5.2-11

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.5.2-11_amd64.deb
  to main/c/cups/cups-bsd_1.5.2-11_amd64.deb
cups-client_1.5.2-11_amd64.deb
  to main/c/cups/cups-client_1.5.2-11_amd64.deb
cups-common_1.5.2-11_all.deb
  to main/c/cups/cups-common_1.5.2-11_all.deb
cups-dbg_1.5.2-11_amd64.deb
  to main/c/cups/cups-dbg_1.5.2-11_amd64.deb
cups-ppdc_1.5.2-11_amd64.deb
  to main/c/cups/cups-ppdc_1.5.2-11_amd64.deb
cups_1.5.2-11.debian.tar.gz
  to main/c/cups/cups_1.5.2-11.debian.tar.gz
cups_1.5.2-11.dsc
  to main/c/cups/cups_1.5.2-11.dsc
cups_1.5.2-11_amd64.deb
  to main/c/cups/cups_1.5.2-11_amd64.deb
cupsddk_1.5.2-11_all.deb
  to main/c/cups/cupsddk_1.5.2-11_all.deb
libcups2-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcups2-dev_1.5.2-11_amd64.deb
libcups2_1.5.2-11_amd64.deb
  to main/c/cups/libcups2_1.5.2-11_amd64.deb
libcupscgi1-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcupscgi1-dev_1.5.2-11_amd64.deb
libcupscgi1_1.5.2-11_amd64.deb
  to main/c/cups/libcupscgi1_1.5.2-11_amd64.deb
libcupsdriver1-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcupsdriver1-dev_1.5.2-11_amd64.deb
libcupsdriver1_1.5.2-11_amd64.deb
  to main/c/cups/libcupsdriver1_1.5.2-11_amd64.deb
libcupsimage2-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcupsimage2-dev_1.5.2-11_amd64.deb
libcupsimage2_1.5.2-11_amd64.deb
  to main/c/cups/libcupsimage2_1.5.2-11_amd64.deb
libcupsmime1-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcupsmime1-dev_1.5.2-11_amd64.deb
libcupsmime1_1.5.2-11_amd64.deb
  to main/c/cups/libcupsmime1_1.5.2-11_amd64.deb
libcupsppdc1-dev_1.5.2-11_amd64.deb
  to main/c/cups/libcupsppdc1-dev_1.5.2-11_amd64.deb
libcupsppdc1_1.5.2-11_amd64.deb
  to main/c/cups/libcupsppdc1_1.5.2-11_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 May 2012 10:38:14 +0200
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsddk
Architecture: source all amd64
Version: 1.5.2-11
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Closes: 670878
Changes: 
 cups (1.5.2-11) unstable; urgency=low
 .
   * Add tests-slow-lpstat.patch: Wait a bit for the scheduler to catch up in
     the lpstat test. Fixes failures on slow architectures like armel. Thanks
     to Steve McIntyre! (Closes: #670878)
Checksums-Sha1: 
 0eac39860a862f51b8b19065b515aa913b8666d7 3419 cups_1.5.2-11.dsc
 e95241cd7531fa428867f6da516cedce36c8d17c 337381 cups_1.5.2-11.debian.tar.gz
 cc78a978761ffea1369c465d98be9739e9d21f95 899406 cups-common_1.5.2-11_all.deb
 c2a1780b134c8b7e77f7fd280da1227deeacf9a3 84756 cupsddk_1.5.2-11_all.deb
 789cb19cf2a8fa4055b9758c0f237dda8fdb7cae 253312 libcups2_1.5.2-11_amd64.deb
 98bd8af949bead99e55b658ddb5f80862ab3598e 134966 libcupsimage2_1.5.2-11_amd64.deb
 ab41949fcb68b33ccb094cfd1a7cb03bd65ee27a 113412 libcupscgi1_1.5.2-11_amd64.deb
 0171ae19cfd7ee4d8e1232d2135cc7a9d1eb641e 101724 libcupsdriver1_1.5.2-11_amd64.deb
 3b4b5910aacc4a203c26c739e3ff4ae8fdb2f1ec 96478 libcupsmime1_1.5.2-11_amd64.deb
 94238e98117117156112af3caf6a5b78919be0b0 136674 libcupsppdc1_1.5.2-11_amd64.deb
 bc4c97bb2cdef6efcad6119f2123dbdd753ee8a3 1363204 cups_1.5.2-11_amd64.deb
 6096129336b8f7980e36e6ae0ffdaee8637d20c4 178490 cups-client_1.5.2-11_amd64.deb
 38a13a4d5aac2363ce46b3b5ae2689b8d27013cb 326428 libcups2-dev_1.5.2-11_amd64.deb
 a3fcbb300c16fc50e58721f75eb8a15412ebad10 65264 libcupsimage2-dev_1.5.2-11_amd64.deb
 cd523cb3d8e43a7bab686b61f64008122e21216f 119824 libcupscgi1-dev_1.5.2-11_amd64.deb
 2e412bd4eacee9daa0fafba960f0ab1893b6b427 105436 libcupsdriver1-dev_1.5.2-11_amd64.deb
 0a82284f7a33c26ad1e77dbfc6d7cde80289e6d0 97804 libcupsmime1-dev_1.5.2-11_amd64.deb
 2059cc1558b23d3e941dfbb56d249dd84fe0e67c 155048 libcupsppdc1-dev_1.5.2-11_amd64.deb
 4c126d892e1cbbd226f68a9c847bbef6d8396344 45396 cups-bsd_1.5.2-11_amd64.deb
 a6aeaee7236f6acd8dcbf1e92b7dd283fc524571 114448 cups-ppdc_1.5.2-11_amd64.deb
 0545afd8690e228fff5715b7402420bcce25e5fa 2161488 cups-dbg_1.5.2-11_amd64.deb
Checksums-Sha256: 
 71d1c1d3aafa1e74262acc0a26eb88e1b8a70c05a360555aa3d74bc2607ee015 3419 cups_1.5.2-11.dsc
 d0878e67e1eedcbe9d2f74528490629611bc3647e130ec82ddaee4d9e5b6bbc2 337381 cups_1.5.2-11.debian.tar.gz
 be8b1c3af5360af3088927703c6add0c3e366f1ed056717cb26fae33a5eba17f 899406 cups-common_1.5.2-11_all.deb
 863731c6c3bcd5091483c52402cef7085be891fa5d94bf6166659bb43f717aad 84756 cupsddk_1.5.2-11_all.deb
 d1d58c5f1b4199143377b313a58f32e04a5fc504510c70561b25afad037da540 253312 libcups2_1.5.2-11_amd64.deb
 016bb53649915b374bed48a205840780422a9daaef54ad5453b1e25e7284e63f 134966 libcupsimage2_1.5.2-11_amd64.deb
 e22887dc8549fba337e8c54c4d3543af04466ed294ec5937500bc125c574c0e9 113412 libcupscgi1_1.5.2-11_amd64.deb
 69982fd697b937ee71d116ec539460f95a3596bc5459899c9319d8ffb73c7028 101724 libcupsdriver1_1.5.2-11_amd64.deb
 71c8e43153c4266fd01fa4f722221a9a8fa32911dc47c7ab956a1bc600ca6726 96478 libcupsmime1_1.5.2-11_amd64.deb
 f3d411d22cc95ebc6b7ffbe2379d25b0f2f1892c674ecf1a3edf0fb52527cf3f 136674 libcupsppdc1_1.5.2-11_amd64.deb
 5dc101f3a89532beb6e71255bbe42b891f79c82be2d247a05cc19731cfc32866 1363204 cups_1.5.2-11_amd64.deb
 c0f7554871ebd4cd5bb9527c71eda8f79e7968deb77eb37e4d40e7711bddaec6 178490 cups-client_1.5.2-11_amd64.deb
 4571f0017f97468f41cd15b16a70375d609998b7573ef554993c1c8694e36f7e 326428 libcups2-dev_1.5.2-11_amd64.deb
 89f90adef1c22ab31e0799800aa3292d1874157c149ea12c1aaaf0dfe1a89002 65264 libcupsimage2-dev_1.5.2-11_amd64.deb
 ea14cb193c9440961ae3b61486ab9b92575df68f56456d0cf59c568b992c1fd7 119824 libcupscgi1-dev_1.5.2-11_amd64.deb
 3bbbe355189c0959991846d781658acd6fdd030e3851bfc84c50d1d24a248214 105436 libcupsdriver1-dev_1.5.2-11_amd64.deb
 5510efc4190e2daf28535a3003cd21f264c8a19e12c503e72b8b798be902def6 97804 libcupsmime1-dev_1.5.2-11_amd64.deb
 e7289a3187db2ada84b3aa2035b4d7c695036982bcf79770a3e23cf37ebe3d23 155048 libcupsppdc1-dev_1.5.2-11_amd64.deb
 65902c671ba4ba41ff1d8306e7720a9310b985537b17e7fe9a1a6d44af53fbb2 45396 cups-bsd_1.5.2-11_amd64.deb
 02344f45940e67dbb4f40426a812d8548453147d6d900e49c21a98dde0820a31 114448 cups-ppdc_1.5.2-11_amd64.deb
 aac2efc3efb0242bea1b0d09bd83116390ece2a3e7c15b68b64f6f002632d258 2161488 cups-dbg_1.5.2-11_amd64.deb
Files: 
 092d9e2284e0b16bd248cba43e886c37 3419 net optional cups_1.5.2-11.dsc
 6c9888a291631876c52a409a5dbf6259 337381 net optional cups_1.5.2-11.debian.tar.gz
 1e53ebf507d51b5ea2ee9b0d4baad5be 899406 net optional cups-common_1.5.2-11_all.deb
 99a92e49305423c7110ca1e6a5b5c39f 84756 oldlibs extra cupsddk_1.5.2-11_all.deb
 b5d496aa510998fae765c37bcc0456fd 253312 libs optional libcups2_1.5.2-11_amd64.deb
 2c2b537a74667c5204474d0e1bd9fce4 134966 libs optional libcupsimage2_1.5.2-11_amd64.deb
 34c10cbedf7b07f885f2078329739d9d 113412 libs optional libcupscgi1_1.5.2-11_amd64.deb
 e64080c0aa00b314fb058dc3adfd821d 101724 libs optional libcupsdriver1_1.5.2-11_amd64.deb
 ad80fe7c95765aa564c722a852e80fbb 96478 libs optional libcupsmime1_1.5.2-11_amd64.deb
 d83a9d238a54ab3cc142883bc9bc1b4a 136674 libs optional libcupsppdc1_1.5.2-11_amd64.deb
 b99e898adc5246a2f37d1e33e65d257d 1363204 net optional cups_1.5.2-11_amd64.deb
 55a606652f367265b709ce69dee2b9f6 178490 net optional cups-client_1.5.2-11_amd64.deb
 fab953fc3ef6a8c44ce6f095700317eb 326428 libdevel optional libcups2-dev_1.5.2-11_amd64.deb
 62a19153debc503f0a6209acb44f202c 65264 libdevel optional libcupsimage2-dev_1.5.2-11_amd64.deb
 90a20202f347100df98dbcd802f96c66 119824 libdevel optional libcupscgi1-dev_1.5.2-11_amd64.deb
 0eb5e7eea9d6ec408aa406406dde2afd 105436 libdevel optional libcupsdriver1-dev_1.5.2-11_amd64.deb
 e160451782db83deab5391acaba05b23 97804 libdevel optional libcupsmime1-dev_1.5.2-11_amd64.deb
 7508bac4bada4e145847281d0c7a0c42 155048 libdevel optional libcupsppdc1-dev_1.5.2-11_amd64.deb
 795dd6514080f422099c120b2fee5909 45396 net extra cups-bsd_1.5.2-11_amd64.deb
 8529a05ef4459033165aac91d468ae68 114448 utils optional cups-ppdc_1.5.2-11_amd64.deb
 cf9e49841cbc55ea7597e45b638a2d88 2161488 debug extra cups-dbg_1.5.2-11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPsMWpAAoJEPmIJawmtHufpAUP/Rv6Xypa1ly0VAnbPE+GAcjm
uRQ1+QkFxPH6i5HgGE3eOTfUs8i2IPGgPkee1MFrmSTMeKTA0zpkgy5Dq64/bJiQ
dOTzezEDXEgONMHWThxqBxA5qttHBZO1Iy0wB2F68bSQTSI9OlKk6ToEVdfZXZwr
W/6zB9mdCptYhgOLc/OJ4ND7HTNLT0M2OaKQPF09MSAHPDZTtPjwyBUSfirxLAtl
DgB5sxGTQPSQQ6TiKV2hD2M0Z5WNFvJillCBhLMupPzhBpd58vpabMwHSZpuKHqP
ArZ3q5doU9knLD3Yllk2EW2VgVHfoquUGmmrgdxC6eAHzAVMn2JeGlnVpHPNnLRR
82yMmWRH1O53k3VXhb7ndfNvbl3xwY53xmaDMARJCGOIBGNYeqzzePXb3jyfSJr4
DGB3i1TSpGwPQjP6aqN3GmZOXF1M9xWtWsRFwBGoLR9qt2/Jve6Rm3rbtnGWDmma
mVLLC4LQotD1gaM/zlOceyn/LJ2KF2YRJr+HpHyeA8LcsBTl/UntfrsQQdnlmybN
1J4XofXGoZ7KGxO9pm2dtO//2tvBfOYcQ0uyb5eyY5IHsQhvDwqGCi6IGWYPLlNU
jgMT6dZ2cuSdtOwZQlZFOXhXXYX9CFMhN2acuNvk4Voa3vvM4QSZVjHuyuyvGHph
srC12qgZbyhS3gmOPnfZ
=pLSL
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#670878; Package src:cups. (Mon, 14 May 2012 12:45:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 12:45:51 GMT) Full text and rfc822 format available.

Message #30 received at 670878@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Martin Pitt <mpitt@debian.org>
Cc: 670878@bugs.debian.org, Julian Gilbey <jdg@debian.org>
Subject: Re: [Pkg-cups-devel] Bug#670878: cups: FTBFS on armel (version 1.5.2-10): failed command test 5.4-lpstat.sh
Date: Mon, 14 May 2012 13:42:46 +0100
On Mon, May 14, 2012 at 10:30:44AM +0200, Martin Pitt wrote:
>Hello Steve,
>
>Steve McIntyre [2012-05-12 15:57 +0100]:
>> And yes, I think it's a timing bug. Earlier in the test suite (4.3)
>> there are a set of ops including printing, cancelling etc. It looks
>> like the issue in 5.4 on armel is that the cupsd itself hasn't had
>> time to finish cancelling a job. Adding a trivial "sleep 10" at the
>> top of 5.4-lpstat.sh makes things work fine for me. There should be a
>> better way to do things, but I'm not an expert here.
>
>Many thanks for investigating this! Adding a "sleep 10" is at least
>harmless, so I have no problem with adding this to unblock the armel
>build. It's at least much better than disabling the tests on armel
>entirely.

No problem, glad to help. :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Getting a SCSI chain working is perfectly simple if you remember that there
  must be exactly three terminations: one on one end of the cable, one on the
  far end, and the goat, terminated over the SCSI chain with a silver-handled
  knife whilst burning *black* candles. --- Anthony DeBoer





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jun 2012 07:46:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:04:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.